LoaderUtils (Apache Ant API)
Keywords: org.apache.tools.ant.util.LoaderUtils class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util
Class LoaderUtils

    java.lang.Object
      org.apache.tools.ant.util.LoaderUtils

public class LoaderUtils
extends java.lang.Object

ClassLoader utility methods

Author:
  Conor MacNeill

Constructor Summary
`LoaderUtils()`

Method Summary
`static java.lang.ClassLoader` | `getContextClassLoader()` JDK1.1 compatible access to set the context class loader.
`static boolean` | `isContextLoaderAvailable()` Indicates if the context class loader methods are available
`static void` | `setContextClassLoader(java.lang.ClassLoader loader)` JDK1.1 compatible access to get the context class loader.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoaderUtils

    public LoaderUtils()

Method Detail

### setContextClassLoader

    public static void setContextClassLoader(java.lang.ClassLoader loader)

  JDK1.1 compatible access to get the context class loader. Has no effect on JDK 1.1

  Parameters:
    `loader` - the ClassLoader to be used as the context class loader on the current thread.

### getContextClassLoader

    public static java.lang.ClassLoader getContextClassLoader()

  JDK1.1 compatible access to set the context class loader.

  Returns:
    the ClassLoader instance being used as the context classloader on the current thread. Returns null on JDK 1.1

### isContextLoaderAvailable

    public static boolean isContextLoaderAvailable()

  Indicates if the context class loader methods are available

  Returns:
    true if the get and set methods dealing with the context classloader are available.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.